# comment out if not pre rel
# %%global prel	rc1

# rel for bumping
%global rel	1

Name:		asciidoc
Version:	10.2.0
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	Tool to convert custom-formatted text files to DocBook, HTML or Unix man pages
License:	GPLv2+
Group:		Publishing
Url:		https://github.com/asciidoc/asciidoc-py3
Source0:	https://github.com/asciidoc/asciidoc-py3/archive/%{version}%{?prel}/asciidoc-py3-%{version}%{?prel}.tar.gz
Patch1:		0001-Use-raw-string-for-escaping-table-separator-267.patch
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	docbook-dtd45-xml
BuildRequires:	xsltproc
Requires:	python3
# For a2x
Requires:	xmllint
Requires:	docbook-style-xsl
Requires:	xsltproc
Recommends:	dblatex
Recommends:	fop
Recommends:	w3m

%description
AsciiDoc is a text document format for writing short documents, articles,
books and UNIX man pages.

%prep
%autosetup -p1 -n %{name}-py-%{version}%{?prel}

# don't run pip
sed -i -e '/install:/s/pip\s\+//' Makefile.in

%build
autoreconf -vfi
%configure
%make_build

%pyproject_wheel

%install
%make_install

%pyproject_install
%pyproject_save_files asciidoc

# man pages
install -Dpm644 doc/asciidoc.1 %{buildroot}%{_mandir}/man1/asciidoc.1
install -Dpm644 doc/a2x.1 %{buildroot}%{_mandir}/man1/a2x.1

%files -f %{pyproject_files}
%{_bindir}/asciidoc
%{_bindir}/a2x
%{_mandir}/man1/asciidoc.1*
%{_mandir}/man1/a2x.1*


%changelog
* Mon Jun 17 2024 wally <wally> 10.2.0-1.mga10
+ Revision: 2074667
- new version 10.2.0

* Thu Nov 03 2022 danf <danf> 9.1.0-2.mga9
+ Revision: 1902127
- Mageia 9 Rebuild

* Fri Jun 18 2021 joequant <joequant> 9.1.0-1.mga9
+ Revision: 1731149
- update to 9.1.0

* Tue Nov 24 2020 shlomif <shlomif> 9.0.4-1.mga8
+ Revision: 1648945
- New version 9.0.4

* Sun Aug 30 2020 shlomif <shlomif> 9.0.2-1.mga8
+ Revision: 1619734
- New version 9.0.2
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Dec 05 2019 wally <wally> 9.0.0-0.rc1.1.mga8
+ Revision: 1464718
- new version 9.0.0 rc1

* Sun Sep 01 2019 wally <wally> 8.6.10-0.git20190526.2.mga8
+ Revision: 1436094
- fix python requires

* Sun Sep 01 2019 wally <wally> 8.6.10-0.git20190526.1.mga8
+ Revision: 1436088
- switch to latest git snapshot of python3 port

* Tue Sep 18 2018 umeabot <umeabot> 8.6.9-9.mga7
+ Revision: 1262086
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 8.6.9-8.mga7
+ Revision: 1259979
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 8.6.9-7.mga7
+ Revision: 1259774
- Mageia 7 Mass Rebuild

* Thu Dec 24 2015 wally <wally> 8.6.9-6.mga6
+ Revision: 914046
- require (instead of recommend) xsltproc for a2x

* Thu Dec 24 2015 wally <wally> 8.6.9-5.mga6
+ Revision: 914034
- require docbook-style-xsl for a2x

* Thu Dec 24 2015 wally <wally> 8.6.9-4.mga6
+ Revision: 914014
- require libxml2-utils (xmllint) for a2x

* Wed Oct 15 2014 umeabot <umeabot> 8.6.9-3.mga5
+ Revision: 751258
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 8.6.9-2.mga5
+ Revision: 677913
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu Mar 13 2014 dams <dams> 8.6.9-1.mga5
+ Revision: 603152
- new version 8.6.9

* Sat Oct 19 2013 umeabot <umeabot> 8.6.8-4.mga4
+ Revision: 533332
- Mageia 4 Mass Rebuild

* Wed Aug 28 2013 shlomif <shlomif> 8.6.8-3.mga4
+ Revision: 472573
- asciidoc.vim is included in the vim package - remove it from here.

* Fri Jan 11 2013 umeabot <umeabot> 8.6.8-2.mga3
+ Revision: 346114
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 31 2012 shlomif <shlomif> 8.6.8-1.mga3
+ Revision: 311709
- New version 8.6.8

* Tue May 29 2012 shlomif <shlomif> 8.6.7-2.mga3
+ Revision: 248905
- New version: 8.6.7
- Not repeating 'AsciiDoc' in the summary to get rid of an rpmlint warning.
- New version

* Tue Sep 06 2011 tv <tv> 8.6.6-1.mga2
+ Revision: 139215
- new release

* Fri Apr 15 2011 shikamaru <shikamaru> 8.6.4-1.mga1
+ Revision: 85991
- new version 8.6.4 - add vim syntax hilighting

* Sun Jan 09 2011 jquelin <jquelin> 8.6.3-1.mga1
+ Revision: 1696
- imported package asciidoc

